QGIS Application - Bug report #14315
wkb access out of bounds
2016-02-16 10:49 AM - dr -

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22305

Description

Trying to open "points” WFS layer and get an error "wkb access out of bounds".

http://37.139.6.183/cgi-bin/mapserv?map=/home/dr/wfs/wfs.map

Associated revisions

Revision d2679d6d - 2016-02-16 10:12 PM - Jiirgen Fischer

another fix for gml wkb assembly (fixes #14315)

History

#1 - 2016-02-16 11:28 AM - Jukka Rahkonen

That server is not correctly configured. If you administrate that server which seems to be Mapserver, add proper extents to the mapfile.

http://37.139.6.183/cgi-bin/mapserv?map=/home/dr/wfs/wfs.map&#38;service=wfs&#38;version=1.0.0&#38;request=getcapabilities

<FeatureType>
<Name>points</Name>
<Title>Toukmn</Title>
<SRS>EPSG:4326</SRS>

<LatLongBoundingBox minx="-180" miny="-180" maxx="180" maxy="180"/>

</FeatureType>

Service itself works but | can't recommend how to make QGIS more robust against badly configured services.

#2 - 2016-02-16 01:13 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"d2679d6dbd80498fa9545dbb26ce7ad48a70df1c".

2024-04-23

1/1



http://37.139.6.183/cgi-bin/mapserv?map=/home/dr/wfs/wfs.map
http://37.139.6.183/cgi-bin/mapserv?map=/home/dr/wfs/wfs.map&#38;service=wfs&#38;version=1.0.0&#38;request=getcapabilities

